> For the complete documentation index, see [llms.txt](https://docs.cherax.vip/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cherax.vip/lua-documentation/api-reference/natives/script.md).

# SCRIPT

```
int START_NEW_SCRIPT(string scriptName, int stackSize)
Player GET_HOST_OF_THIS_SCRIPT()
float GET_GLOBAL_F(int global)
int GET_GLOBAL_I(int global)
void SET_GLOBAL_F(int global, float value)
void SET_GLOBAL_I(int global, int value)
float GET_LOCAL_F(Hash script, int local)
int GET_LOCAL_I(Hash script, int local)
void SET_LOCAL_F(Hash script, int local, float value)
void SET_LOCAL_I(Hash script, int local, int value)
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.cherax.vip/lua-documentation/api-reference/natives/script.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
